summaryrefslogtreecommitdiffstats
path: root/bin/hornet/setup-inputs
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-02-25 23:51:01 -0500
committerJesse Luehrs <doy@tozt.net>2021-02-26 01:52:00 -0500
commit5d5405115ee1059a205d25ff972e12256d09a1b5 (patch)
tree387e4f45de7f4bcba093a0cb6a597d640224210d /bin/hornet/setup-inputs
parent449036cf4077218264b8235d0e9cd475f3fa20f3 (diff)
downloadconf-5d5405115ee1059a205d25ff972e12256d09a1b5.tar.gz
conf-5d5405115ee1059a205d25ff972e12256d09a1b5.zip
reconfigure various things for hornet
Diffstat (limited to 'bin/hornet/setup-inputs')
-rwxr-xr-xbin/hornet/setup-inputs16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/hornet/setup-inputs b/bin/hornet/setup-inputs
new file mode 100755
index 0000000..cd16789
--- /dev/null
+++ b/bin/hornet/setup-inputs
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+# key bindings
+setxkbmap -option ctrl:nocaps
+setxkbmap -option compose:caps
+xmodmap "$HOME"/.Xmodmap
+"$(dirname "$0")"/numkeys on
+
+# trackpad settings
+xinput set-prop "ELAN0670:00 04F3:3150 Touchpad" "libinput Accel Speed" 0.4
+xinput set-prop "ELAN0670:00 04F3:3150 Touchpad" "libinput Tapping Enabled" 1
+
+# needs to happen after xmodmap stuff
+svre xcape